## ros-rosconsole 1.13.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosconsole)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS cpp_common rostime rosunit)

find_package(Boost COMPONENTS regex system thread)

# select rosconsole backend
set(ROSCONSOLE_BACKEND "" CACHE STRING "Type of rosconsole backend, one of 'log4cxx', 'glog', 'print'")
set(rosconsole_backend_INCLUDE_DIRS)
set(rosconsole_backend_LIBRARIES)
if(ROSCONSOLE_BACKEND STREQUAL "" OR ROSCONSOLE_BACKEND STREQUAL "log4cxx")
  find_package(Log4cxx QUIET)
  if(NOT LOG4CXX_LIBRARIES)
    # backup plan, hope it is in the system path
    find_library(LOG4CXX_LIBRARIES log4cxx)
  endif()
  if(LOG4CXX_LIBRARIES)
    list(APPEND rosconsole_backend_INCLUDE_DIRS ${LOG4CXX_INCLUDE_DIRS})
    list(APPEND rosconsole_backend_LIBRARIES rosconsole_log4cxx rosconsole_backend_interface ${LOG4CXX_LIBRARIES})
    set(ROSCONSOLE_BACKEND "log4cxx")
  elseif(ROSCONSOLE_BACKEND STREQUAL "log4cxx")
    message(FATAL_ERROR "Couldn't find log4cxx library")
  endif()
endif()
if(ROSCONSOLE_BACKEND STREQUAL "" OR ROSCONSOLE_BACKEND STREQUAL "glog")
  find_package(PkgConfig)
  pkg_check_modules(GLOG QUIET libglog)
  if(GLOG_FOUND)
    list(APPEND rosconsole_backend_INCLUDE_DIRS ${GLOG_INCLUDE_DIRS})
    list(APPEND rosconsole_backend_LIBRARIES rosconsole_glog rosconsole_backend_interface ${GLOG_LIBRARIES})
    set(ROSCONSOLE_BACKEND "glog")
  elseif(ROSCONSOLE_BACKEND STREQUAL "glog")
    message(FATAL_ERROR "Couldn't find glog library")
  endif()
endif()
if(ROSCONSOLE_BACKEND STREQUAL "" OR ROSCONSOLE_BACKEND STREQUAL "print")
  list(APPEND rosconsole_backend_LIBRARIES rosconsole_print rosconsole_backend_interface)
  set(ROSCONSOLE_BACKEND "print")
endif()
message(STATUS "rosconsole backend: ${ROSCONSOLE_BACKEND}")

catkin_package(
  INCLUDE_DIRS include ${rosconsole_backend_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
  LIBRARIES rosconsole ${rosconsole_backend_LIBRARIES} ${Boost_LIBRARIES}
  CATKIN_DEPENDS cpp_common rostime
  CFG_EXTRAS rosconsole-extras.cmake
)

include(${CATKIN_DEVEL_PREFIX}/share/${PROJECT_NAME}/cmake/rosconsole-extras.cmake)

# See ticket: https://code.ros.org/trac/ros/ticket/3626
# On mac use g++-4.2
IF(${CMAKE_SYSTEM} MATCHES "Darwin-11.*")
  IF(EXISTS "/usr/bin/g++-4.2")
    set(CMAKE_CXX_COMPILER /usr/bin/g++-4.2)
  ELSE(EXISTS "/usr/bin/g++-4.2")
    # If there is no g++-4.2 use clang++
    set(CMAKE_CXX_COMPILER /usr/bin/clang++)
  ENDIF(EXISTS "/usr/bin/g++-4.2")
ENDIF(${CMAKE_SYSTEM} MATCHES "Darwin-11.*")

include_directories(include ${catkin_INCLUDE_DIRS} ${rosconsole_backend_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(rosconsole_backend_interface src/rosconsole/rosconsole_backend.cpp)

add_library(rosconsole src/rosconsole/rosconsole.cpp)
target_link_libraries(rosconsole ${rosconsole_backend_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if(ROSCONSOLE_BACKEND STREQUAL "log4cxx")
  add_library(rosconsole_log4cxx src/rosconsole/impl/rosconsole_log4cxx.cpp)
  target_link_libraries(rosconsole_log4cxx rosconsole_backend_interface ${LOG4CXX_LIBRARIES} ${Boost_LIBRARIES})

  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/test/speed_test.cpp")
    add_executable(rosconsole_speed_test test/speed_test.cpp)
    target_link_libraries(rosconsole_speed_test rosconsole ${rosconsole_backend_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  endif()
elseif(ROSCONSOLE_BACKEND STREQUAL "glog")
  add_library(rosconsole_glog src/rosconsole/impl/rosconsole_glog.cpp)
  target_link_libraries(rosconsole_glog rosconsole_backend_interface ${GLOG_LIBRARIES})
elseif(ROSCONSOLE_BACKEND STREQUAL "print")
  add_library(rosconsole_print src/rosconsole/impl/rosconsole_print.cpp)
  target_link_libraries(rosconsole_print rosconsole_backend_interface)
else()
  message(FATAL_ERROR "Unknown rosconsole backend '${ROSCONSOLE_BACKEND}'")
endif()

if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.rosconsole SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.rosconsole SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

install(TARGETS rosconsole rosconsole_${ROSCONSOLE_BACKEND} rosconsole_backend_interface
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES config/rosconsole.config
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/config)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}-utest)
    target_link_libraries(${PROJECT_NAME}-utest ${PROJECT_NAME} ${LOG4CXX_LIBRARIES})
  endif()

  if(${CMAKE_SYSTEM_NAME} STREQUAL Linux)
    catkin_add_gtest(${PROJECT_NAME}-assertion_test test/assertion_test.cpp)
    if(TARGET ${PROJECT_NAME}-assertion_test)
      target_link_libraries(${PROJECT_NAME}-assertion_test ${PROJECT_NAME})
    endif()
  endif()

  catkin_add_gtest(${PROJECT_NAME}-thread_test test/thread_test.cpp)
  if(TARGET ${PROJECT_NAME}-thread_test)
    target_link_libraries(${PROJECT_NAME}-thread_test ${PROJECT_NAME} ${LOG4CXX_LIBRARIES})
  endif()
endif()

## ros-rosconsole 1.13.7

=== debian/changelog ===
ros-rosconsole (1.13.7-1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 13:03:25 +0000

ros-rosconsole (1.13.7-1) unstable; urgency=medium

  * Initial release. (Closes: #900192)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 14:54:49 +0200

=== debian/control ===
Source: ros-rosconsole
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, python-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosconsole
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole
Vcs-Git: https://salsa.debian.org/science-team/ros-rosconsole.git

Package: librosconsole-dev
Section: libdevel
Architecture: any
Depends: librosconsole2d (= ${binary:Version}), libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libroscpp-core-dev, liblog4cxx-dev, ${misc:Depends}
Description: Development files for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the development files for the library.

Package: librosconsole2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the library.

## ros-rosconsole 1.13.9

=== debian/changelog ===
ros-rosconsole (1.13.9-1) unstable; urgency=medium

  * New upstream version 1.13.9
  * Remove patch (merged upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Dec 2018 10:18:23 +0100

ros-rosconsole (1.13.8-2) unstable; urgency=medium

  * Add patch to fix ros-robot-state-publisher CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Nov 2018 22:11:54 +0100

ros-rosconsole (1.13.8-1) unstable; urgency=medium

  * New upstream version 1.13.8
  * Bump policy version
  * Fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Nov 2018 10:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, python-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C build run_tests
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros/rosconsole/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-rosconsole 1.13.10

=== debian/changelog ===
ros-rosconsole (1.13.10-2) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Aug 2019 11:20:45 +0200

ros-rosconsole (1.13.10-1) experimental; urgency=medium

  * New upstream version 1.13.10
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * Bump Soname due to ABI changes
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Aug 2019 21:40:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, python-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, python-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole
@@ -14,7 +14,7 @@
 Package: librosconsole-dev
 Section: libdevel
 Architecture: any
-Depends: librosconsole2d (= ${binary:Version}), libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libroscpp-core-dev, liblog4cxx-dev, ${misc:Depends}
+Depends: librosconsole3d (= ${binary:Version}), libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libroscpp-core-dev, liblog4cxx-dev, ${misc:Depends}
 Description: Development files for librosconsole
  This package is part of Robot OS (ROS). It is the ROS console output
  library, a C++ package that supports console output and logging in
@@ -24,7 +24,7 @@
  .
  This package contains the development files for the library.
 
-Package: librosconsole2d
+Package: librosconsole3d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same

## ros-rosconsole 1.13.11

=== debian/changelog ===
ros-rosconsole (1.13.11-3build4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:56:24 +0100

ros-rosconsole (1.13.11-3build3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:23:15 +0100

ros-rosconsole (1.13.11-3build2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:04:41 +0000

ros-rosconsole (1.13.11-3build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:35:22 +0000

ros-rosconsole (1.13.11-3) unstable; urgency=medium

  * Add catkin_test_results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 18:51:54 +0100

ros-rosconsole (1.13.11-2) unstable; urgency=medium

  * Move to Python 3
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:53:56 +0200

ros-rosconsole (1.13.11-1) unstable; urgency=medium

  * New upstream version 1.13.11
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 23:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ros-rosconsole
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, python-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, python3-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,5 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make -C build run_tests
+	catkin_test_results
 endif

## ros-rosconsole 1.14.2

=== debian/changelog ===
ros-rosconsole (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Aug 2020 09:10:44 +0200

ros-rosconsole (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Jul 2020 14:53:30 +0200

ros-rosconsole (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 15:25:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ros-rosconsole
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12), catkin, libroscpp-core-dev, python3-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, libroscpp-core-dev, python3-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole

## ros-rosconsole 1.14.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(rosconsole)
 
 if(NOT WIN32)

=== debian/changelog ===
ros-rosconsole (1.14.3-8build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:25 +0100

ros-rosconsole (1.14.3-8) unstable; urgency=medium

  * Fix log4cxx 0.12.0 patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Jan 2022 19:23:35 +0100

ros-rosconsole (1.14.3-7) unstable; urgency=medium

  * Upload to unstable for log4cxx transition.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 09 Jan 2022 22:27:51 +0100

ros-rosconsole (1.14.3-6) experimental; urgency=medium

  * Depend on new liblog4cxx-dev

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Dec 2021 16:06:14 +0100

ros-rosconsole (1.14.3-5) experimental; urgency=medium

  * Simplify d/rules
  * Add patch for log4cxx 0.12.0 (Closes: #1001881)
  * Add missing libgtest-dev build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Dec 2021 15:20:59 +0100

ros-rosconsole (1.14.3-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:10 +0200

ros-rosconsole (1.14.3-3) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Sep 2021 19:26:59 +0200

ros-rosconsole (1.14.3-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:17:30 +0100

ros-rosconsole (1.14.3-1) unstable; urgency=medium

  * New upstream version 1.14.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 18 Oct 2020 16:57:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13), catkin, libroscpp-core-dev, python3-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libroscpp-core-dev, python3-rosunit, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, liblog4cxx-dev (>= 0.12.1-1), libgtest-dev <!nocheck>
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rosconsole
 Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole
@@ -14,6 +14,7 @@
 Package: librosconsole-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: librosconsole3d (= ${binary:Version}), libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libroscpp-core-dev, liblog4cxx-dev, ${misc:Depends}
 Description: Development files for librosconsole
  This package is part of Robot OS (ROS). It is the ROS console output

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

## ros-rosconsole 1.14.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 find_package(catkin REQUIRED COMPONENTS cpp_common rostime rosunit)
 
-find_package(Boost COMPONENTS regex system thread)
+find_package(Boost REQUIRED COMPONENTS regex system thread)
 
 # select rosconsole backend
 set(ROSCONSOLE_BACKEND "" CACHE STRING "Type of rosconsole backend, one of 'log4cxx', 'glog', 'print'")

=== debian/changelog ===
ros-rosconsole (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Aug 2025 11:12:57 +0200

ros-rosconsole (1.14.3-13) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 19:06:18 +0200

ros-rosconsole (1.14.3-12) unstable; urgency=medium

  * Add patch for missing include

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Jan 2024 10:49:41 +0100

ros-rosconsole (1.14.3-11) unstable; urgency=medium

  * Drop unused rosunit dependency to make the package cross buildable
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:42:49 +0200

ros-rosconsole (1.14.3-10) unstable; urgency=medium

  * Add fix for log4cxx 13

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Jun 2022 10:49:37 +0200

ros-rosconsole (1.14.3-9) unstable; urgency=medium

  * Add patch for new log4cxx 0.13
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 May 2022 09:42:32 +0200

=== debian/control ===
Source: ros-rosconsole
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 catkin (>= 0.8.10-1~),
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libgtest-dev <!nocheck>,
 liblog4cxx-dev,
 libroscpp-core-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/rosconsole
Vcs-Browser: https://salsa.debian.org/science-team/ros-rosconsole
Vcs-Git: https://salsa.debian.org/science-team/ros-rosconsole.git

Package: librosconsole-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 liblog4cxx-dev,
 librosconsole3d (= ${binary:Version}),
 libroscpp-core-dev,
 ${misc:Depends},
Description: Development files for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the development files for the library.

Package: librosconsole3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for librosconsole
 This package is part of Robot OS (ROS). It is the ROS console output
 library, a C++ package that supports console output and logging in
 roscpp. It provides a macro-based interface which allows both printf-
 and stream-style output. It also wraps log4cxx, which supports
 hierarchical loggers, verbosity levels and configuration-files.
 .
 This package contains the library.
